﻿using BMICalculator.BL.Interfaces;
using BMICalculator.Shared.Models;
using BMICalculator.Web.Models;
using Microsoft.AspNetCore.Mvc;

namespace BMICalculator.Web.Controllers
{
    public class BMIController : Controller
    {
        readonly IBMICalculator BMICalculator;

        public BMIController(IBMICalculator BMICalculator)
        {
            this.BMICalculator = BMICalculator;
        }

        public IActionResult Index()
        {
            return View(new PersonDescriptorVM());
        }

        [HttpPost]
        public IActionResult CalculateBMI(PersonDescriptor person)
        {
            // Conversion if necessary

            // Calculate
            var result = BMICalculator.CalculateBMI(person);

            // Redirect to display page
            return RedirectToAction(nameof(DisplayBMIResult), 
                new {
                    BMI = result.BMI,
                    Result = result.Result,
                    IsInTheExpectedRange = result.IsInTheExpectedRange
                }); // Simple model pass does not work
        }

        public IActionResult DisplayBMIResult(BMIResult model)
        {
            return View(model);
        }
    }
}
