﻿using BMICalculator.Shared.Enums;
using Microsoft.AspNetCore.Mvc.Rendering;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;

namespace BMICalculator.Web.Models
{
    public class PersonDescriptorVM
    {
        [DisplayName("Name")]
        public string Name { get; set; }

        [DisplayName("Gender")]
        public Genders Gender { get; set; }

        [DisplayName("Birth date")]
        public DateTime BirthDate { get; set; }

        /// <summary>
        /// The height in centimeter
        /// </summary>
        [DisplayName("Height in centimeter")]
        public double Height { get; set; }

        /// <summary>
        /// The weight in kilogram
        /// </summary>
        [DisplayName("Weight in kilogram")]
        public double Weight { get; set; }

        public IEnumerable<SelectListItem> AvailableGenders => ((Genders[])Enum.GetValues(typeof(Genders))).Select(x => new SelectListItem(x.ToString(), ((int)x).ToString()));
    }
}
